******************************************************************
**                                                              **
**               IBM-PC Installation of DISLIN                  **
**                                                              **
**  Contents:  1.)  Introduction                                **
**             2.)  Installation of DISLIN                      **
**             3.)  Getting a DISLIN License                    **
**                                                              **
**  Date   :   15.11.2005                                       **
**  Version:   9.0 / Windows,  Salford FTN90 2.x                **
**  Author :   Helmut Michels                                   **
**             MPI fuer Sonnensystemforschung,                  **
**             Max-Planck-Str. 2, 37191 Katlenburg-Lindau,      **
**             Germany                                          **
**             E-mail: michels@mps.mpg.de                       **
******************************************************************

1.)  Introduction

     This file describes the  installation  of the  data  plotting
     software DISLIN on IBM-PCs  for  the operating system Windows
     9x/NT/2000/XP and the Salford Fortran 90 compiler FTN90.

 
2.)  Installation of DISLIN

     The  DISLIN version for the Salford Fortran 90 compiler FTN90
     distributed in the zipped file  dl_90_f9.zip.  An utility for
     unpacking the DISLIN files is available from the same locati-
     on where you have downloaded dl_90_f9.zip, or from the DISLIN
     CD-ROM. 

     To install DISLIN, make the following steps:

  a) Create a temporary directory and copy the files dl_90_f9.zip
     and unzip.exe to it:

     for example:   md  c:\temp
                    cd  c:\temp
                    copy e:\dislin\windows\unzip.exe    *.*
                    copy e:\dislin\windows\dl_90_f9.zip *.*

  b) Extract the DISLIN files with the command:

                    unzip dl_90_f9.zip    

  c) Run the setup program with the command

                    setup

     -  Choose OK

     -  Give the Installation Directory where  DISLIN  should be in-
        stalled. The default directory is C:\DISLIN.

  d) Reconfigure the System

     Set the DISLIN environment variable to c:\dislin and include
     c:\dislin\win in your path. If you have installed DISLIN in a
     different directory, you have to use that directory for the 
     environment variables above.

     The setting of environment depends on your Windows version:

     Windows 98/ME

        Add the following commands to the autoexec.bat file

        PATH=c:\dislin\win;%PATH%
        SET DISLIN=c:\dislin   
   
     Windows NT/2000/XP

        In Windows NT/2000/XP environment variables can be set or
        modified with the Control Panel 
        (see Settings -> Control Panel -> Advanced -> Environment
        Variables).

  e) Now you can compile, link and run the example programs  in the
     DISLIN subdirectory examples with the commands

                    F90LINK  -a exa_f90
                    F90LINK  -a map_f90

     Another way to link programs with the DISLIN library is:

             SLINK EXA_F90.OBJ C:\DISLIN\DISF90.LIB


     Note:   The file DISLIN.MOD contains interfaces for all DISLIN 
             routines.  This file must be used in DISLIN Fortran 90 
             programs with the USE statement.  For Salfords  FTN90,
             Programs can be compiled with the option MOD_PATH.

             For example:  FTN90 /MOD_PATH c:\dislin main


3.)  Getting a DISLIN License

     DISLIN is free for non-commercial use. Licenses for selling programs
     linked with DISLIN or for using DISLIN in an environment related to
     business are available from the site http://www.dislin.de. 



